package net.yaht.m.dynview;

import android.graphics.Color;
import android.util.Log;

/**
 * Created by lisp on 4/18/16.
 */

public class Tools {

    public static void log2me(String where, String what) {
        Log.v("=-= " + where, what);
    }

    public static int _random_color() {

        int[] _colors = {Color.BLACK, Color.DKGRAY, Color.GRAY, Color.LTGRAY, Color.WHITE, Color.RED, Color.GREEN, Color.BLUE, Color.YELLOW, Color.CYAN, Color.MAGENTA};
        return _colors[ (int) (Math.random() * _colors.length) ];

    }

    public static String _random_color_name() {

        String[] _colors = {
            "BLACK",
            "DKGRAY",
            "GRAY",
            "LTGRAY",
            "WHITE",
            "RED",
            "GREEN",
            "BLUE",
            "YELLOW",
            "CYAN",
            "MAGENTA"
        };

        return _colors[ (int) (Math.random() * _colors.length) ];

    }

}
